KDE 4.9 PyKDE API Reference

- KDE's Python API

# ReverseGeocodingRunnerManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| reverseGeocodingFinished (Marble.GeoDataCoordinates coordinates, Marble.GeoDataPlacemark placemark)
| reverseGeocodingFinished ()
## Methods
| __init__ (self, Marble.MarbleModel marbleModel, QObject parent=0)
| reverseGeocoding (self, Marble.GeoDataCoordinates coordinates)
QString | searchReverseGeocoding (self, Marble.GeoDataCoordinates coordinates, int timeout=30000)

## Signal Documentation

reverseGeocodingFinished | ( | Marble.GeoDataCoordinates | coordinates,
|  | Marble.GeoDataPlacemark | placemark
| ) |  |  |

Emitted whenever all runners are finished for the query

Signal syntax:
  `QObject.connect(source, SIGNAL("reverseGeocodingFinished(const Marble::GeoDataCoordinates&, const Marble::GeoDataPlacemark&)"), target_slot)`

reverseGeocodingFinished | ( |  | ) |

Emitted whenever all runners are finished for the query

Signal syntax:
  `QObject.connect(source, SIGNAL("reverseGeocodingFinished()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | marbleModel,
|  | QObject | parent=0
| ) |  |  |

Constructor.

Parameters:

  | pluginManager | The plugin manager that gives access to RunnerPlugins
  | parent | Optional parent object

reverseGeocoding | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

Find the address and other meta information for a given geoposition.

See also:
  reverseGeocoding is asynchronous with currently one result returned using the
  See also:
    reverseGeocodingFinished signal.
  See also:
    searchReverseGeocoding is blocking.
  See also:
    reverseGeocodingFinished signal indicates all runners are finished.

QString searchReverseGeocoding | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates,
|  | int | timeout=30000
| ) |  |  |